Create a section for a form Run in API Explorer
Ask AI
POST
/api/v1/form/{form_uuid}/section
curl \
--request POST 'https://api.plannrcrm.com/api/v1/form/6ff8f7f6-1eb3-3525-be4a-3932c805afed/section' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"title": "Section 1.1"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"title": "Section 1.1"
}
Response examples (200)
{
"uuid": "2fd2905d-4fe2-46c7-a074-92df0c62dea6",
"created_at": "2026-10-28T10:39:28+00:00",
"updated_at": "2026-10-28T10:39:28+00:00",
"form": {
"uuid": "b42d065d-50eb-41b6-a165-664a9816e311",
"created_at": "2026-10-28T10:39:28+00:00",
"updated_at": "2026-10-28T10:39:28+00:00",
"title": "Annual Catchup 2022",
"description": "This is the annual catchup form for 2022",
"live": true,
"visibility": "public",
"sections": {
"uuid": "41016d98-eb67-4c5f-aa9c-e4065be249b0",
"created_at": "2026-10-28T10:39:33+00:00",
"updated_at": "2026-10-28T10:39:33+00:00",
"title": "What is your name?",
"help_text": "Gareth",
"caption": "Your full legal name",
"type": "string",
"required": true,
"position": 1,
"selection_options": [
"option 1",
"option 2"
],
"target_field": "name",
"key": "what_is_your_name",
"linked_primary": true
},
"allowed_hosts": [
"domain.com",
"subdomain.domain.com"
],
"draft_submissions_count": 5,
"submitted_submissions_count": 5,
"create_client": true,
"client_type": "client"
},
"title": "Personal Details",
"position": 1,
"questions": {
"uuid": "356ec326-37d9-4a33-8d8f-06c428d3e53a",
"created_at": "2026-10-28T10:39:28+00:00",
"updated_at": "2026-10-28T10:39:28+00:00",
"section": {
"uuid": "3bdd0244-d378-4e96-a4b6-ce720bf1970a",
"created_at": "2026-10-28T10:39:33+00:00",
"updated_at": "2026-10-28T10:39:33+00:00",
"title": "Personal Details",
"position": 1
},
"title": "What is your name?",
"help_text": "Gareth",
"caption": "Your full legal name",
"type": "string",
"required": true,
"position": 1,
"selection_options": [
"option 1",
"option 2"
],
"target_field": "name",
"key": "what_is_your_name",
"linked_question": {
"type": "selection",
"field": "gender",
"label": "Gender",
"formatted_field": "Gender",
"selection_options": [
"male",
"female",
"non-binary",
"transgender",
"intersex",
"other",
"unknown"
],
"is_custom_field": false,
"forced_required": false,
"caption": "Your drink preference"
},
"linked_primary": true
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}